import * as Models from './models';
import * as Parameters from './parameters';
import { Callback } from '../callback';
import { Client } from '../clients';
export declare class Analytics {
    private client;
    constructor(client: Client);
    /** Get the total number of views a piece of content has. */
    getViews<T = Models.GetViews>(parameters: Parameters.GetViews, callback: Callback<T>): Promise<void>;
    /** Get the total number of views a piece of content has. */
    getViews<T = Models.GetViews>(parameters: Parameters.GetViews, callback?: never): Promise<T>;
    /** Get the total number of distinct viewers a piece of content has. */
    getViewers<T = Models.GetViewers>(parameters: Parameters.GetViewers, callback: Callback<T>): Promise<void>;
    /** Get the total number of distinct viewers a piece of content has. */
    getViewers<T = Models.GetViewers>(parameters: Parameters.GetViewers, callback?: never): Promise<T>;
}
