import * as Models from './models';
import * as Parameters from './parameters';
import { Callback } from '../callback';
import { Client } from '../clients';
export declare class LabelInfo {
    private client;
    constructor(client: Client);
    /**
     * Returns label information and a list of contents associated with the label.
     *
     * **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site
     * ('Can use' global permission). Only contents that the user is permitted to view is returned.
     */
    getAllLabelContent<T = Models.LabelDetails>(parameters: Parameters.GetAllLabelContent, callback: Callback<T>): Promise<void>;
    /**
     * Returns label information and a list of contents associated with the label.
     *
     * **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site
     * ('Can use' global permission). Only contents that the user is permitted to view is returned.
     */
    getAllLabelContent<T = Models.LabelDetails>(parameters: Parameters.GetAllLabelContent, callback?: never): Promise<T>;
}
